#include "code.h"
#include<bits/stdc++.h>
#define MAXN 1005

int mat[MAXN][MAXN];


std::vector<int> Nadji(int n, int k)
{
    for(int i=1;i<=n;i++){
        for(int j=1;j<=n;j++){
            mat[i][j]=Pitaj(i,j);
        }
    }
    for(int i=1;i<=n;i++){
        int m=1;
        bool jed=true;
        for(int j=2;j<=n;j++){
            if(mat[i][j]>mat[i][m]){
                m=j;
                jed=true;
            }else if(mat[i][j]==mat[i][m])
                jed=false;
        }
        bool moze=true;
        if(jed){
            for(int j=1;j<=n;j++){
                if(j==i)continue;
                if(mat[j][m]<=mat[i][m])moze=false;
            }

        }
        if(moze){
            std::vector<int> res;
            res.push_back(i);
            res.push_back(m);
            return res;
        }
    }
    std::vector<int> res;
    res.push_back(0);
    res.push_back(0);
    return res;




}